Bug 273721 - application "Kontact" and "kontactconfig" have the same names in .desktop
Summary: application "Kontact" and "kontactconfig" have the same names in .desktop
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 4.6 beta5
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-20 13:44 UTC by Alexander Potashev
Modified: 2011-07-10 12:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2011-05-20 13:44:56 UTC
Version:           4.6 beta5 (using KDE 4.6.3) 
OS:                Linux

In these two files the attribute "Name" is the same ("Kontact"):
1. kontact/src/kontactconfig.desktop (Comment="Default KDE Kontact Component")
2. kontact/src/Kontact.desktop (GenericName="Personal Information Manager")

Users may accidentally run "kontactconfig" instead of "Kontact".

Please, change the name in kontactconfig.desktop to something like "Kontact Configuration" or "Configure Kontact".

Reproducible: Always
Comment 1 Christophe Marin 2011-05-20 20:49:02 UTC
Already fixed in kdepim 4.7 (commit 20e85c4). Not worth changing this string for 4.6 (kontactconfig doesn't appear anymore in krunner)
Comment 2 Alexander Potashev 2011-05-20 20:53:29 UTC
Thanks for info.
Comment 3 Christophe Marin 2011-07-10 12:31:02 UTC
Git commit 8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb by Christophe Giboudeaux.
Committed on 10/07/2011 at 14:30.
Pushed by cgiboudeaux into branch 'master'.

Remove NoDisplay=true and the Exec line from kontactconfig.desktop
Using Nodisplay=true prevents this kcm from appearing in krunner but also hides the default module kcm in Kontact.

Both issues are now fixed.
BUG: 273721
BUG: 275743
FIXED-IN: 4.7.0

M  +0    -2    kontact/src/kontactconfig.desktop     

http://commits.kde.org/kdepim/8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb
Comment 4 Christophe Marin 2011-07-10 12:31:43 UTC
Git commit 15ec38658038bcaa3a6d61e30db547cee45201d3 by Christophe Giboudeaux.
Committed on 10/07/2011 at 14:30.
Pushed by cgiboudeaux into branch '4.7'.

Remove NoDisplay=true and the Exec line from kontactconfig.desktop
Using Nodisplay=true prevents this kcm from appearing in krunner but also hides the default module kcm in Kontact.

Both issues are now fixed.
BUG: 273721
BUG: 275743
FIXED-IN: 4.7.0
(cherry picked from commit 8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb)

M  +0    -2    kontact/src/kontactconfig.desktop     

http://commits.kde.org/kdepim/15ec38658038bcaa3a6d61e30db547cee45201d3
Comment 5 Christophe Marin 2011-07-10 12:32:28 UTC
Git commit 21dc98f9b316b05628739c2414a7b6e0ad6547d7 by Christophe Giboudeaux.
Committed on 10/07/2011 at 14:30.
Pushed by cgiboudeaux into branch '4.6'.

Remove NoDisplay=true and the Exec line from kontactconfig.desktop
Using Nodisplay=true prevents this kcm from appearing in krunner but also hides the default module kcm in Kontact.

Both issues are now fixed.
BUG: 273721
BUG: 275743
FIXED-IN: 4.7.0
(cherry picked from commit 8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb)

M  +0    -2    kontact/src/kontactconfig.desktop     

http://commits.kde.org/kdepim/21dc98f9b316b05628739c2414a7b6e0ad6547d7